Софтуерно Инженерство
Loading...
+ Нов въпрос
arsoman avatar arsoman 419 Точки

[Технически въпрос] HTML & CSS - Проблем с инсталация на Jekyll!

Здравейте, моля за съвет при инсталацията на Jekyll от курса HTML/CSS. Направих нужното от титориала и гледах внимателно видеото на Наков, но не тръгна при мен, пробвах с доста различни версии на Jekyll - 2.1.0, 2.0.3 и 2.0.0, при което за pigments ползвам само 0.5.0! И на трите проби не тръгва, като дава различни грешки, пробвах и с pigments 0.6.0, но и това не стана. Някакви идеи?

ЛИНК към проблема

0
Web Fundamentals - HTML5
kiko144 avatar kiko144 SoftUni Team 795 Точки

Какво значи не става? Не се инсталира Jekyll или не можеш да подкараш сървъра? Pygments трябва да са точно 0.5.0! Версичта на Python трябва да е под 3 (най -добре 2.7) 

Ето този пич обяснява много добре (въпреки англииският му) Ето видеото му тук !

2
arsoman avatar arsoman 419 Точки

Приложих картинка от грешката, като дам jekyll build, ми дава грешката, иначе създава директория с jekyll new ...

0
kiko144 avatar kiko144 SoftUni Team 795 Точки

С коя версия на руби си ? Може би трябва да е по-стара ! Погледни тази тема 

1
arsoman avatar arsoman 419 Точки

2.0.0 е версия та на Руби

0
arsoman avatar arsoman 419 Точки
Както и да е, пробвах доста неща и комбинации, пак не се получава, благодаря за помощта, но ще се откажа от това.
0
arsoman avatar arsoman 419 Точки

1.9.3 на руби не намира, нищо, вече се отказах, пробвах доста неща наистина....

0
alexpopov avatar alexpopov 5 Точки

TL; DR; Пробвай с команда 

gem install yajl-ruby --platform=ruby

и кажи след това дали минава jekyll build.

Като цяло бих те посъветвал 2 неща:

1. Ruby технологиите под Windows са pain in the ass. Ако просто искаш да изтестваш Jekyll едва ли си заслужава да setup-ваш цяла нова машина, но ако мислиш в дългосрочен план да се занимаваш с Python/Ruby и свързани с/базирани на тях технологии, горещо те съветвам да се запознаеш с Linux. Във всеки случай не ти пречи да държиш една малка виртуалка с Ubuntu именно за такива случаи.

2. Като ти излиза грешка - чети я. Грешката, която си постнал е свързана с Liquid, т.е. не е имало смисъл да пробваш различните версии на Jekyll. Пишеш в Google "liquid exception cannot load such file", първи резултат ти е http://stackoverflow.com/questions/16498287/jekyll-liquid-exception-cannot-load-such-file-yajl-2-0-yajl, който пък те препраща на https://github.com/brianmario/yajl-ruby/issues/116 и си оправяш грешката.

0
arsoman avatar arsoman 419 Точки

Благодаря ти за подробната информация, аз се отказах от това, но след твоя коментар ще го пробвам отново....

0